# Uses of Interface
org.opensaml.xmlsec.signature.Modulus

Packages that use Modulus
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of Modulus in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return Modulus
Modifier and Type
Method
Description
`Modulus`
RSAKeyValue.`getModulus()`
Get the Modulus child element.
Methods in org.opensaml.xmlsec.signature with parameters of type Modulus
Modifier and Type
Method
Description
`void`
RSAKeyValue.`setModulus(Modulus newModulus)`
Set the Modulus child element.

## Uses of Modulus in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement Modulus
Modifier and Type
Class
Description
`class`
`ModulusImpl`
Concrete implementation of `Modulus`.
Fields in org.opensaml.xmlsec.signature.impl declared as Modulus
Modifier and Type
Field
Description
`private Modulus`
RSAKeyValueImpl.`modulus`
Modulus child element value.
Methods in org.opensaml.xmlsec.signature.impl that return Modulus
Modifier and Type
Method
Description
`Modulus`
ModulusBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`Modulus`
ModulusBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Modulus`
RSAKeyValueImpl.`getModulus()`
Get the Modulus child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type Modulus
Modifier and Type
Method
Description
`void`
RSAKeyValueImpl.`setModulus(Modulus newModulus)`
Set the Modulus child element.